pure real*8 function fdist(x, y)
  use blocks
  implicit none
  real*8, intent(in) :: x(1:N), y(1:N)

  real*8             :: sum
  integer*4          :: i
      
  sum = rz
  do i=1,N
     sum = sum + (x(i) - y(i))**2
  end do

  sum = sum / dfloat(N)
  sum = dsqrt(sum)
  fdist = sum

  return
end function fdist
