pure subroutine make_Ss(x,Ss)
  use constants
  implicit none

  real*8, intent(in)  :: x
  real*8, intent(out) :: Ss

  real*8              :: rnum, rden
  real*8              :: x2, x3, x4

  if(x .gt. xc) then
     Ss = rz; return
  end if

  x2   = x*x; x3 = x2*x; x4 = x3*x
  rnum = ru + (p-a1)*x
  rden = ru - a1*x + a2*x2 - a3*x3 + a4*x4
  Ss   = rnum * dexp(-p*x) / rden

  return
end subroutine make_Ss
