set size 0.60,0.60
set style data lines
set term pslatex solid color norotate

set lmargin 3
set rmargin 1
set bmargin 1
set tmargin 1

xmin=0.0; xmax=0.25; dx = xmax-xmin; set xtics 0,dx/5
set xra [xmin:xmax]

ymin=1.0; ymax=3.5; dy = ymax-ymin; set ytics ymin,1.
set yra [ymin:ymax]

set label 1 '$\kappa$'   at xmax-0.10*dx, ymin + 0.032*dy
set label 2 '$\epsilon$' at xmin+0.02*dx, ymax - 0.100*dy

set out 'Src_10.tex'
dir = 'Data/'
plot dir.'eps_kappa_p=0_N=150' every 10 w lp pt 7 t '$N=150$' ,\
     dir.'eps_kappa_p=0_N=600' every 10 w l  lt 3 t '$N=600$'

exit
