set size 0.60,0.60
set style data lines
set term pslatex solid color norotate

set lmargin 3
set rmargin 1
set bmargin 1
set tmargin 1

set pointsize 0.5; unset key

xmin=0.0; xmax=0.25; dx = xmax-xmin; set xtics 0,dx/5
set xra [xmin:xmax]

ymin=0.0; ymax=20; dy = ymax-ymin; set ytics ymin,dy/4
set yra [ymin:ymax]

set label 1 '$\kappa$'    at xmax-0.10*dx, ymin + 0.032*dy
set label 2 '$k \mu / h$' at xmin+0.02*dx, ymax - 0.100*dy

set out 'Src_13.tex'
dir  = 'Data/'; eps='eps_kappa_p=0_N=150'
file = 'mu_kappa_N=150_dp=0.001'

plot dir.file w lp lt 1 pt 7 t '$\mu$'        ,\

exit
