      module blocks
      implicit none

      real*8, parameter :: rz    = 0.0d0
      real*8, parameter :: ru    = 1.0d0
      real*8, parameter :: two   = 2.0d0
      real*8, parameter :: four  = 4.0d0
      real*8, parameter :: half  = 0.5d0
      real*8, parameter :: tot   = 3.0d0/2.0d0
      real*8, parameter :: small = 1.0d-8
      real*8, parameter :: tiny  = 1.0d-16
      real*8, parameter :: pi    = four*datan(1.0d0)
      real*8, parameter :: pi4   = four*pi

      real*8, parameter :: h     = 1.0d0
      real*8, parameter :: A0    = 1.8588500d0
      real*8, parameter :: xc    = 2.0d0

      real*8            :: kappa, th1, th2
      real*8            :: e_min, e_max !, de
      real*8            :: p_min, p_max !, dp

      character*8       :: Job
      character*8       :: CC    = achar(13)

      logical*4         :: Vocal

      integer*4         :: N, Np

      integer*4         :: iter_max = 100

      integer*4, allocatable, dimension(:) :: sa, sb

      save
      end
